#
# spec file for package xf86-video-fbdev
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           xf86-video-fbdev
Version:        0.4.4
Release:        9.4
Summary:        Framebuffer video driver for the Xorg X server
License:        MIT
Group:          System/X11/Servers/XF86_4
Url:            http://xorg.freedesktop.org/
Source0:        http://xorg.freedesktop.org/releases/individual/driver/%{name}-%{version}.tar.bz2
BuildRequires:  pkg-config
BuildRequires:  pkgconfig(fontsproto)
BuildRequires:  pkgconfig(pciaccess) >= 0.8.0
BuildRequires:  pkgconfig(randrproto)
BuildRequires:  pkgconfig(renderproto)
BuildRequires:  pkgconfig(videoproto)
BuildRequires:  pkgconfig(xorg-macros) >= 1.8
BuildRequires:  pkgconfig(xorg-server) >= 1.0.99.901
BuildRequires:  pkgconfig(xproto)
Supplements:    xorg-x11-server
# This was part of the xorg-x11-driver-video package up to version 7.6
Conflicts:      xorg-x11-driver-video <= 7.6
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExcludeArch:    s390 s390x
%x11_abi_videodrv_req

%description
fbdev is an Xorg driver for framebuffer devices.

This is a non-accelerated driver, the following framebuffer depths are
supported: 8, 15, 16, 24. All visual types are supported for depth 8,
and TrueColor visual is supported for the other depths. Multi-head
configurations are supported.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
%make_install
find %{buildroot}%{_libdir} -name '*.la' -type f -delete -print

%files
%defattr(-,root,root)
%doc ChangeLog COPYING README
%dir %{_libdir}/xorg/modules/drivers
%{_libdir}/xorg/modules/drivers/fbdev_drv.so
%{_datadir}/man/man4/fbdev.4%{?ext_man}

%changelog
* Mon Apr  4 2016 sndirsch@suse.com
- no real changes, but let's trigger a rebuild for SP2 so the
  driver is being built for the right Xserver video ABI (fate #320388)
* Tue Oct 22 2013 zaitor@opensuse.org
- Update to version 0.4.4:
  + Remove mibstore.h
- Drop U_mibstore.patch, fixed upstream.
* Wed Aug  7 2013 ro@suse.de
- add ExcludeArch for s390 and s390x
* Tue Mar 19 2013 hrvoje.senjan@gmail.com
- Add U_mibstore.patch, fixes build with xorg-server 1.14
* Sun Sep  2 2012 zaitor@opensuse.org
- Update to version 0.4.3:
  + Port to new server API.
  + Convert to new screen conversion APIs.
  + Add compat-api + makefile.
  + Add MOD_CLASS_VIDEODRV to FBDevVersRec
  + Perform XV initialization only if the server supports it.
  + Avoid unused variables when XSERVER_LIBPCIACCESS is defined.
  + man: Stop mentioning server's -scanpci option.
  + Upgrade to util-macros 1.8 for additional man page support.
  + Other minor codefixes.
* Fri Apr 20 2012 vuntz@opensuse.org
- Use %%x11_abi_videodrv_req instead of static ABI Requires.
* Wed Apr 18 2012 vuntz@opensuse.org
- Split xf86-video-fbdev from xorg-x11-driver-video.
  Initial version: 0.4.2.
